package top.qaqaq.crud.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import top.qaqaq.crud.bean.Department;
import top.qaqaq.crud.dao.DepartmentMapper;

import java.util.List;

/**
 * @author RichieZhang
 * @create 2023-01-18 5:06 PM
 */
@Service
public class DepartmentService {

    @Autowired
    private DepartmentMapper departmentMapper;

    public List<Department> getDepts() {
        List<Department> list = departmentMapper.selectByExample(null);
        return list;
    }
}
